import math
#UI
SCREEN_HEIGHT=480
SCREEN_WIDTH=640
BELOW_SCREEN_GRACE=20

#Logging related
LOGGER_NAME = "strlen"
LOG_CONFIG_FILE = "logging_default.conf"

#Engine related
KEY_REPEAT_INTERVAL=5
FRAME_RATE = 30

#Game related
DATA_DIR = 'data'
STRING_WIDTH = 3
FULL_LIFE = 3
GRAVITY = 0.2
VERTICAL_SCROLL_FACTOR = 0.5
STRING_BURN_SPEED = 0.7 

#Character related
JUMP_SPEED = math.sqrt(80)
JUMP_ANGLE = 45
CLIMB_SPEED = 3
INVINCIBLE_TIME = 1

#Generator related
MIN_STRING_LENGTH = 150
MAX_STRING_LENGTH = 300
MAX_STRING_LENGTH_BASE = 300
MAX_WORLD_STRINGS = 15
STRING_CEILING = -5
STRING_FLOOR = 310
MAX_PROJECTILES = 8
MAX_PROJECTILE_SPEED = 3
MIN_PROJECTILE_SPEED = 1
SPEED_TO_POINTS_RATIO = 0.05

#SOUNDS
OUCH_SOUND = "ouch"
NOO_SOUND = "noo"
JUMP_SOUND = "jump"
GHOSTLY_MUSIC = "ghostly"
HIP_HOP_MUSIC = "hip_hop"
JAZZ_ROCK_MUSIC = "jazz_rock"

#SCORE
SCORE_RATIO = 0.01
SCORES_FILE = 'scores.txt'
ATTACH_BONUS = 10
